#!/bin/bash

if [ -d cascade-make ] ; then
  source cascade-make/lib/cascade-lib.bash GEXT_AFREPO . $*
fi

if [ -z $GEXT_AFREPO ] ; then
  source gs3-setup.sh
fi

if [ -z $GEXTAFREPO_DEVEL ] ; then
    # Set environment variable so we can tell devel.bash has been sourced
    export GEXT_AFREPO_DEVEL=$GEXT_AFREPO
    
    export PATH="$GEXT_AFREPO_INSTALLED/bin:$PATH"
    export CFLAGS="-I$GEXT_AFREPO_INSTALLED/include $CFLAGS"
    export CPPFLAGS="-I$GEXT_AFREPO_INSTALLED/include $CPPFLAGS"
    export CXXFLAGS="-I$GEXT_AFREPO_INSTALLED/include $CXXFLAGS"
    export LDFLAGS="-L$GEXT_AFREPO_INSTALLED/lib $LDFLAGS"
    export PKG_CONFIG_PATH="$GEXT_AFREPO_INSTALLED/lib/pkgconfig:$PKG_CONFIG_PATH"
    
    echo "+Your environment is now setup to compile afrepo"

else
    echo "+Your environment is already setup to compile afrepo"
fi